<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Types.PlcStruct ID="0">
    <AttributeList>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="None">
    <Member Name="nState" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Status in Schrittkette / Zustandsmaschine</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xSepStatus" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Separator Status | 0: zu | 1: offen</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="bStatus" Datatype="Byte">
      <Comment>
        <MultiLanguageText Lang="de-DE">0: Nicht verfügbar | 1: Verfügbar | 2: Error</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xBtInSeparator" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Es befindet sich min. ein Bt im Separator</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xPartSensor" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Part Sensor belegt</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xNullBt" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Nullbügelträger Sensor belegt</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xMiniTrolley" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">MiniTrolley Sensor belegt</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xError" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Für Visu (z.B. farblich)</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Errors" Datatype="&quot;UDT_ErrorSeparator&quot;">
      <Comment>
        <MultiLanguageText Lang="de-DE">Fehler Separator</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="nCntSeparationFail" Datatype="Int">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">Anzahl hintereinander fehlgeschlagener Vereinzelungsversuche</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="nCounterBt" Datatype="UDInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Separator Öffnen/Schliessen Lebenszeit</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xSepIsLocked" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Separator ist gesperrt</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
</Sections></Interface>
      <Name>UDT_HMI_SeparatorStatus</Name>
      <Namespace />
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="3" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Types.PlcStruct>
</Document>